const APP_AUTHOR		= "Daniel Lee";
const APP_CONTRIBUTOR		= "Tom Mutdosch";
const APP_NAME			= "ReminderFox";
const APP_CHROME_NAME	= "reminderfox";
const APP_VERSION		= "0.9.5.1";
const APP_FILE 			= "chrome/reminderfox.jar";
const APP_FILE2 		= "reminderfox.jar";
const APP_CONTENTS_PATH		= "content/reminderfox/";
const LOCALE_CONTENTS_PATH		= "locale";
const APP_SKIN_FOLDER	 = "skin/reminderfox/";
const LOCALE_LIST    = ["en-US", "cs-CZ", "da-DK", "de-DE", "es-ES", "fr-FR", "fy-NL", "hu-HU","it-IT", "ja-JP", "nl-NL", "pl-PL","pt-BR", "ru-RU", "sk-SK", "tr-TR", "zh-CN", "zh-TW"];

initInstall(APP_NAME, APP_CHROME_NAME, APP_VERSION); 

// var chromeFolder = getFolder("Current User", "chrome");
var chromeFolder = getFolder("Profile", "chrome");
setPackageFolder(chromeFolder);
// error = addFile(APP_NAME, APP_FILE, chromeFolder, "");
error = addFile(APP_NAME, APP_VERSION, APP_FILE, chromeFolder, null);
//if (error != SUCCESS)
//	alert('err1 ' + error);

var jarFolder = getFolder(chromeFolder, APP_FILE2);
registerChrome(CONTENT | PROFILE_CHROME, jarFolder, APP_CONTENTS_PATH);
registerChrome(SKIN | PROFILE_CHROME, jarFolder, APP_SKIN_FOLDER);
for (var x = 0; x < LOCALE_LIST.length; x++)
  registerChrome(LOCALE | PROFILE_CHROME, jarFolder, 	
  		LOCALE_CONTENTS_PATH+ "/" +LOCALE_LIST[x]+"/"+APP_CHROME_NAME+"/");


var result = getLastError(); 
if(result == SUCCESS) 
{
	error = performInstall();
//	if (error != SUCCESS)
//		alert('err3 ' + error);
} 
else 
{
//	alert('err2 ' + result);
	cancelInstall(result);
}